Subject: Re: RFE: "git bisect reverse"

From: Sam Vilain <[email-masked]>
Date: Fri, 29 May 2009 16:20:31 +1200

Ealdwulf Wuffinga wrote:
>> Sounds like interesting stuff, can you make a patch out of it?
>>     
>
> The code as it stands will actually work with an unmodified git.
> What it doesn't yet have is a 'git-bisect'-like frontend, which is the only
> part which would actually require modifying (or just adding to) git itself.
>
> It does already interface to the git plumbing, so you can try it out if you
> don't mind using a slightly ungitlike  interface.
>
> I assume it's not worth doing a patch which would just copy my tree
> into the git source tree?
>
> There was also, last time I mentioned this on the list, some question
> as to whether it was acceptable to add something written in python to
> git.
>   

I mean, can you port your algorithm from python to the git-bisect C
source and therefore make something of benefit to existing 'git bisect'
users ?

Sam.